<div ng-controller="ParcelaVisitaController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.inspector.lista">Inspector</a>
          </li>
          <li>
            <a ui-sref="admin.inspector.inspector_parcela">Parcela</a>
          </li>
          <li>
            <a>Visita (Formulario 1)</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-7">
                Inspector : <strong>{{inspector.fullname | uppercase}}</strong>
              </div>
              <div class="col-md-1">
              </div>
              <div class="col-md-4">
                <div class="text-right">
                  <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.inspector.inspector_parcela"><i class="fa fa-arrow-left"></i>  Regresar</a>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE VISITAS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Visitas">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar visita</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{visitas.length}} VISITAS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="visitas.length > 0">
                    <div ui-tree="options" id="tree-root" data-drag-enabled="false">
                      <ol ui-tree-nodes="" ng-model="visitas">
                        <li dir-paginate="visita in visitas |filter: buscar | itemsPerPage: 6" pagination-id="visita.id" ui-tree-node>
                          <div ui-tree-handle class="tree-node">
                            <a class="btn" data-nodrag ng-click="toggle(this)"><i class="fa fa-angle-down" ng-class="{'fa-angle-right': collapsed, 'fa-angle-down': !collapsed}"></i></a>
                            VISITA : {{visita.fecha | date:'dd-MM-yyyy'}}   ({{visita.numero_imagenes}} imagenes)
                            <a class="pull-right btn remove text-danger" data-nodrag ng-click="load(visita);openModalDelete($event)"><i class="icon-trash"></i></a>
                            <!-- <a class="pull-right btn add" data-nodrag ng-click="load(visita);openModalSave($event)"><i class="icon-pencil"></i></a> -->
                            <a class="pull-right btn remove text-primary" ng-click="redirectTo(visita)" ui-sref="admin.inspector.visita_file" data-nodrag><i class="icon-picture"></i></a>
                            <a ng-if="!visita.isExport" class="pull-right btn remove text-danger" ng-click="export(visita)" data-nodrag><i class="fa fa-file-pdf-o"></i></a>
                            <a ng-if="visita.isExport" class="pull-right btn remove text-danger" data-nodrag><i class="fa fa-spinner fa-spin"></i></a>
                          </div>
                          <ol ui-tree-nodes="" ng-model="visita" ng-class="{hidden: collapsed}">
                            <li>
                              <div ui-tree-handle>
                                DESCRIPCIÓN : <br>
                                 {{visita.observacion | uppercase}}
                              </div>
                            </li>
                          </ol>
                        </li>
                      </ol>
                    </div>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="visita.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="visitas.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">NO HAY VISITAS PARA ESTA PARCELA...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="visita_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Visita"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-8">
            <div class="form-group">          
              <label for="responsable">Responsable Campo<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="responsable" ng-model="obj.responsable" placeholder="Responsable de Campo" required> 
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">          
              <label for="fecha_t">Fecha de Visita<span class="obligatorio">*</span></label>
              <input type="date" class="form-control" name="fecha_t" ng-model="obj.fecha_t" required> 
            </div>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label>Formulario<span class="obligatorio">*</span></label>
              <div class="row">
                <div class="col-md-12" ng-repeat="pregunta in preguntas">
                  <uib-accordion close-others="oneAtATime">
                    <uib-accordion-group is-open="pregunta.isOpen" class="panel-primary">
                        <uib-accordion-heading>
                            <i class="fa" ng-class="{'fa-angle-down': pregunta.isOpen, 'fa-angle-right': !pregunta.isOpen}"></i>
                            {{($index + 1) + '.- ' + pregunta.titulo}}
                        </uib-accordion-heading>
                        <div class="row">
                          <div class="col-md-6">
                              <div class="text-center">
                                <div class="row mt-20">
                                  <div class="col-md-4">
                                    <label class="checkbox checkbox-custom-alt"> 
                                      <input name="radio{{$index}}" type="radio" ng-model="pregunta.respuesta" value="1"><i></i> SI
                                    </label>
                                  </div>
                                  <div class="col-md-4">
                                    <label class="checkbox checkbox-custom-alt"> 
                                      <input name="radio{{$index}}" type="radio" ng-model="pregunta.respuesta" value="0"><i></i> NO 
                                    </label>
                                  </div>
                                  <div class="col-md-4">
                                    <label class="checkbox checkbox-custom-alt"> 
                                      <input name="radio{{$index}}" type="radio" ng-model="pregunta.respuesta" value="2"><i></i> N/A 
                                    </label>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label for="observacion">Observaciones</label>
                                <textarea class="form-control uppercase" name="observacion" ng-model="pregunta.observacion" cols="10" rows="2" ></textarea>  
                              </div>
                            </div>
                        </div>
                    </uib-accordion-group>
                  </uib-accordion>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="observacion">Observaciones Generales<span class="obligatorio">*</span></label>
              <textarea class="form-control uppercase" name="observacion" ng-model="obj.observacion" cols="10" rows="5" required></textarea>  
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>

      

    </div>
  </script>
  <script  type="text/ng-template" id="visita_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>